#menu {
  position: fixed;
  top: 0;
  left: 0;
  bottom: 0;
  width: 200px;
  background-color: #2b2525;
  color: white;
  overflow-y: auto;
  transition: left 0.5s ease-out;
}

#menu.hidden {
  left: -200px;
}

#menu h3 {
  margin-left: 20px;
}

#menu ul {
  list-style: none;
  margin: 0;
  padding: 0;
}

@media (max-height: 824px) {
  #menu ul {
    display: none;
  }
}

@media (max-height: 682px) {
  #menu .hide {
    display: none;
  }
}

#menu li {
 margin: 0;
}

#menu li a{
  padding-left: 10px;
}

#menu ul a {
  color: white;
  text-decoration: none;
  display: block;
  padding: 10px;
  border-bottom: 1px solid #444;
  transition: background-color 0.2s ease-in;
}

#menu ul a:hover {
  background-color: #444;
}

#menu-toggle {
  position: fixed;
  top: 0;
  left: 200px;
  z-index: 1;
  background-color: #2b2525;
  color: white;
  padding: 10px;
  border: none;
  transition: left 0.5s ease-out;
}

#menu-toggle.hidden {
  left: 0;
}

#menu-toggle:hover {
  background-color: #555;
  cursor: pointer;
}

#shift_div{
  display: flex;
  margin-top: -1px;
  margin-left: 200px;
  transition: margin-left 0.5s ease-out;
}

#shift_div.shift{
  display: flex;
  margin-top: -1px;
  margin-left: 0;
}


#color-title {
  margin-left: 20px;
}

.color-form {
  margin: 0 7px;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
}

button.color-button {
  margin: 10px;
  padding: 0;
  width: 34px;
  height: 34px;
  border: 2px solid #ffffff;
  border-radius: 50%;
  cursor: pointer;
}

button.color-button::before {
  content: '';
  display: inline-block;
  width: 100%;
  height: 100%;
  border-radius: 50%;
}

button.color-button[data-color="default"]::before {
  background-color: #333;
}

button.color-button[data-color="orange"]::before {
  background-color: #fe9d01;
}

button.color-button[data-color="green"]::before {
  background-color: #01a64a;
}

button.color-button[data-color="blue"]::before {
  background-color: #4ec8ff;
}

button.color-button[data-color="random"]::before {
  background-color: white;
  content: '?';
  font-size: 27px;
}

#downloadButton {
  display: inline-block;
  font-size: 1em;
  padding: 10px 20px;
  margin: 20px 2px;
  cursor: pointer;
  text-align: center;
  text-decoration: none;
  outline: none;
  color: #fff;
  background-color: #333;
  border: none;
  border-radius: 15px;
  box-shadow: 0 5px #999;
}

#downloadButton:hover {background-color: #555}

#downloadButton:active {
  background-color: #555;
  box-shadow: 0 5px #666;
  transform: translateY(4px);
}

.horizontal-center {
  text-align: center;
}

#selected-experiences li {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 10px;
  margin: 5px auto;
  background-color: #494747;
  border-radius: 11px;
  width: 80%;
}

/* Style for the remove button */
.remove-button {
  background-color: #ff4b5c;
  color: white;
  font-size: 20px;
  cursor: pointer;
  border: none;
  border-radius: 50%;
  width: 25px;
  height: 25px;
  text-align: center;
  line-height: 20px;
}

/* Hover effect for the remove button */
.remove-button:hover {
  background-color: #ff1e3d;
}

.nav-footer {
  position: absolute;
  bottom: 0;
  padding: 10px;
  font-size: 15px;
  text-align: center;
}

.nav-footer a {
  color: #ffffff;
  font-size: 20px;
  text-decoration: none;
  font-weight: bold;
  background:
    linear-gradient(
      to right,
      rgba(100, 200, 200, 1),
      rgba(100, 200, 200, 1)
    ),
    linear-gradient(
      to right,
      rgba(255, 0, 0, 1),
      rgba(255, 0, 180, 1),
      rgba(0, 100, 200, 1)
  );
  background-size: 100% 3px, 0 3px;
  background-position: 100% 100%, 0 100%;
  background-repeat: no-repeat;
  transition: background-size 400ms;
}

.nav-footer a:hover {
  background-size: 0 3px, 100% 3px;
}